PHP ��U
前一頁 |  | 下一頁

# hash_hmac_file

(no version information, might be only in CVS)

hash_hmac_file -- Generate a keyed hash value using the HMAC method and the contents of a given file

## Description

string hash_hmac_file ( string algo, string filename, string key [, bool raw_output] )

## Parameters

algo

  Name of selected hashing algorithm (i.e. "md5", "sha256", "haval160,4", etc..)

filename

  URL describing location of file to be hashed; Supports fopen wrappers.

key

  Shared secret key used for generating the HMAC variant of the message digest.

raw_output

  When set to `TRUE`, outputs raw binary data. Default value (`FALSE`) outputs lowercase hexits.

## Return Values

Returns a string containing the calculated message digest as lowercase hexits unless raw_output is set to true in which case the raw binary representation of the message digest is returned.

## �d��

範例 1. hash_hmac_file() example

`<?php /* Create a file to calculate hash of */ file_put_contents('example.txt', 'The quick brown fox jumped over the lazy dog.'); echo hash_hmac_file('md5', 'example.txt', 'secret'); ?>`

The above example will output:

    7eb2b5c37443418fc77c136dd20e859c

## �Ѧ�

hash_hmac()
hash_file()

前一頁 | 內容 | 下一頁
hash_final | 上一層 | hash_hmac